apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: calibre
  name: calibre
  namespace: calibre
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: calibre
  strategy:
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: calibre
    spec:
      containers:
        - image: creylopez/calibre:1.0
          name: calibre
          ports:
            - containerPort: 8080
          resources: {}
          volumeMounts:
            - mountPath: /opt/calibre/calibre-library
              name: calibre-claim0
      restartPolicy: Always
      imagePullSecrets:
      - name: reg-cred-secret
      volumes:
        - name: calibre-claim0
          persistentVolumeClaim:
            claimName: calibre-claim0
status: {}
